/****************************
Fonts
****************************/
@font-face {
    font-family: VCR OSD Mono;
    src: url('../fonts/vrc.ttf') format('truetype');
    font-weight: 400;
}

@font-face {
    font-family: VT323;
    src: url('../fonts/VT323.ttf') format('truetype');
    font-weight: 400;
}


@font-face {
    font-family: Klartext;
    src: url('../fonts/klartext.ttf') format('truetype');
    font-weight: 400;
}


/****************************
Global
****************************/

:root {
    --black: #0C0F14;
    --bone: #e7e5df;
    --faded-bone: #BBB9B4;
    --primary: #1A1F27;
    --secondary: #2d5994;
    --green: #44C144;
    --yellow: #ffff00;
    --highlight: #2E1F47;
    --disabled: #989898;
    --red: #C14444;
    --swiper-pagination-bullet-size: 20px;
    --swiper-theme-color: var(--primary);
}


*,
::before,
::after {
    box-sizing: border-box;
    font-feature-settings: "lnum" 1;
}

html {
    font-size: 32px;
    -webkit-text-size-adjust: 100%; /* Prevent font scaling in landscape while allowing user zoom */
}

@media (max-width: 800px) {
    font-size: 16px;
}

body {
    background-color: var(--black);

    color: var(--bone);
    font-family: VT323, sans-serif;
    margin: 0;
    -webkit-font-smoothing: antialiased;
    text-rendering: optimizeLegibility;
}

body.noScroll {
    overflow: hidden;
}

h1,
h2,
h3,
h4,
h5,
h6,
p {
    font-size: inherit;
    font-weight: inherit;
    margin: 0;
}

a {
    color: inherit;
    text-decoration: none;
}

input,
button,
select,
textarea,
optgroup {
    background-color: transparent;
    border: none;
    color: inherit;
    display: block;
    font: inherit;
    margin: 0;
    text-align: left;
    width: 100%;
}

input,
select,
textarea {
    border: 1px solid lightgray;
    padding: 10px;
}

button {
    cursor: pointer;
}

textarea {
    resize: none;
}

img,
picture,
video {
    display: block;
    height: auto;
    width: 100%;
}

dialog {
    background-color: rgba(0, 0, 0, 0);
    border: none;
    display: none;
    height: 100%;
    left: 0;
    max-height: none;
    max-width: none;
    padding: 0;
    position: fixed;
    top: 0;
    width: 100%;
}

dialog[open] {
    display: flex;
}

dialog::backdrop {
    animation: backdrop-vanish 0.3s ease;
    background-color: rgba(0, 0, 0, 0);
}

dialog[open]::backdrop {
    background-color: rgba(0, 0, 0, 0.3);
}

@keyframes backdrop-vanish {
    from {
        background-color: rgba(0, 0, 0, 0);
    }
    to {
        background-color: rgba(0, 0, 0, 0.3);
    }
}

/****************************
Button
****************************/

.button {
    appearance: none;
    padding: 8px 16px 8px 20px;
    display: flex;
    justify-content: center;
    gap: 16px;
    align-items: center;
    text-transform: uppercase;
    background-color: var(--secondary);
    color: var(--bone);
    border-radius: 4px;
    cursor: pointer;
    transition: .3s ease;
}

.button:disabled {
    filter: grayscale(1);
    cursor: not-allowed;
    opacity: 0.3;
    pointer-events: none;
}

.button:hover {
    background-color: var(--faded-bone);
    color: var(--primary);
}

.button.center {
    margin: auto;
}

.button.loading {
    color: transparent;
    pointer-events: none;
    position: relative;
}

.button.loading::after {
    animation: loading 1s ease infinite;
    border: 4px solid transparent;
    border-radius: 50%;
    border-top-color: #FFF;
    bottom: 0;
    content: "";
    height: 22px;
    left: 0;
    margin: auto;
    position: absolute;
    right: 0;
    top: 0;
    width: 22px;
}

@keyframes loading {
    from {
        transform: rotate(0turn);
    }

    to {
        transform: rotate(1turn);
    }
}

@media (max-width: 800px) {
    .button {
        max-width: none;
    }
}

/*****************************
Swiper
*****************/

.swiper-button-next,
.swiper-button-prev {
    user-select: none;
    -webkit-user-select: none;
}

button.swal2-styled {
    text-align: center;
}

/* GENERAL */
.module {
    padding: 40px 20px;
}

.moduleBody {
    background-color: var(--primary);
    width: 100%;
    border-radius: 8px;
    padding: 20px;
    display: flex;
    position: relative;
    max-width: 1600px;
    margin: 0 auto;
}

.moduleBodyTitle {
    width: fit-content;
    position: absolute;
    background-color: var(--primary);
    top: -40px;
    right: 60px;
    padding: 4px 20px;
    border-radius: 8px 8px 0 0;
    color: var(--faded-bone);
}

@media (max-width: 800px) {
    .module {
        padding: 40px 14px;
    }

    .moduleBody {
        padding: 20px 14px;
    }

    .moduleBodyTitle {
        font-size: 24px;
        top: -32px;
        right: 20px;
    }
}